#3088 closed defect (fixed)

shell test in testsuites\samples\fileio many COMMANDs is Lost

Reported by: likangbei Owned by: chrisj@…
Priority: normal Milestone: 5.1
Component: shell Version: 5
Severity: normal Keywords: shell COMMAND Lost
Cc: Blocked By:
Blocking:

Description

testsuites\samples\fileio test on atsam BSP,
init.c:
#define CONFIGURE_SHELL_COMMANDS_INIT
#define CONFIGURE_SHELL_COMMANDS_ALL

but when press s -> start shell,I only find three COMMANDs(help,alias,time),Other COMMANDs is Lost。
I remember that the previous version was normal。

Sorry! My English is bad!

Change History (4)

comment:1 Changed on Aug 3, 2017 at 3:19:22 AM by Joel Sherrill

The set of available commands depends on what user you login as. Try root for more commands.

comment:2 Changed on Aug 14, 2017 at 12:58:35 AM by Chris Johns

Milestone: 4.12.0

comment:3 Changed on Aug 24, 2017 at 6:44:47 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In 80a13ec4/rtems:

samples/fileio: Give command availability hint

Close #3088.

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.